/* restore accidentally deleted ENT */  
/* NOTE this just deletes the skeletal ENT record, not all child tables */
/* See script attached to https://bioticssupport.natureserve.org/a/solutions/articles/201154-restore-a-record-from-the-deleted-schema for scripts necessary to recover child tables*/


accept path char prompt 'Enter path in which to save log file, w/o last back slash): ' 
accept v_ent_id number prompt ' What is the ENT_ID of the Element you wish to Undelete?';
spool '&path\UndeleteENTID_&v_ent_id.log'

set verify off
set echo off

--2. run insert statements 
Insert into biotics_user.ELEMENT_NATIONAL
   (ELEMENT_NATIONAL_ID,ELEMENT_GLOBAL_ID,NATION_ID,NNAME_ID,N_CLASSIFICATION_COM,N_PRIMARY_COMMON_NAME,D_LANGUAGE_ID,ACCEPTED_BY_ECOLOGY_IND,N_RANK,N_RANK_CHANGE_DATE,N_RANK_REVIEW_DATE,ROUNDED_N_RANK,D_RANK_FORM_ID,BCD_STYLE_N_RANK,N_RANK_RESP,N_DISTRIBUTION_COM,D_EO_TRACK_STATUS_ID,D_ENDEMISM_ID,N_DATA_SENSITIVE_IND,N_PROTECTION_STATUS,N_PROTECTION_STATUS_DATE,N_IMAGE_AVAILABLE_IND,N_IMAGE_NOTES,D_MAINTAINED_BY_STATUS_ID,DISTRIBUTION_REFERENCE_ID,N_ELEMENT_INTERNAL_NOTES,N_RECEIVED_DATE,REC_LAST_MOD_DATE,REC_LAST_MOD_USER,REC_CREATE_DATE,REC_CREATE_USER,ELEMENT_NATIONAL_SEQ_UID,ELEMENT_NATIONAL_OU_UID,N_EO_TRACKING_COM,PENDING_IND,D_CLASSIF_CONFIDENCE_ID,IN_PROGRESS_IND,DX_LAST_RECEIVED_DATE,DX_LAST_RECEIVED_STATUS,DX_LAST_EXCHANGE_ID)
  select ELEMENT_NATIONAL_ID,ELEMENT_GLOBAL_ID,NATION_ID,NNAME_ID,N_CLASSIFICATION_COM,N_PRIMARY_COMMON_NAME,D_LANGUAGE_ID,ACCEPTED_BY_ECOLOGY_IND,N_RANK,N_RANK_CHANGE_DATE,N_RANK_REVIEW_DATE,ROUNDED_N_RANK,D_RANK_FORM_ID,BCD_STYLE_N_RANK,N_RANK_RESP,N_DISTRIBUTION_COM,D_EO_TRACK_STATUS_ID,D_ENDEMISM_ID,N_DATA_SENSITIVE_IND,N_PROTECTION_STATUS,N_PROTECTION_STATUS_DATE,N_IMAGE_AVAILABLE_IND,N_IMAGE_NOTES,D_MAINTAINED_BY_STATUS_ID,DISTRIBUTION_REFERENCE_ID,N_ELEMENT_INTERNAL_NOTES,N_RECEIVED_DATE,REC_LAST_MOD_DATE,REC_LAST_MOD_USER,REC_CREATE_DATE,REC_CREATE_USER,ELEMENT_NATIONAL_SEQ_UID,ELEMENT_NATIONAL_OU_UID,N_EO_TRACKING_COM,PENDING_IND,D_CLASSIF_CONFIDENCE_ID,IN_PROGRESS_IND,DX_LAST_RECEIVED_DATE,DX_LAST_RECEIVED_STATUS,DX_LAST_EXCHANGE_ID
  from biotics_del.ELEMENT_NATIONAL_del
  where biotics_del.ELEMENT_NATIONAL_del.ELEMENT_NATIONAL_id= &v_ent_id;

Insert into biotics_user.TAXON_NATIONAL
   (ELEMENT_NATIONAL_ID,EXOTIC_STATUS,EXOTIC_STATUS_DATE,HYBRID_IND,D_INVASIVENESS_RATING_ID,INVASIVENESS_RATING_DATE,INVASIVENESS_COM,PEST_IND,PEST_WEED_STATUS_COM,GENERAL_STATUS_COM,INTERPRETED_USESA,INTERPRETED_USESA_DATE,USESA_COM,D_COSEWIC_ID,COSEWIC_DATE,DISPLAY_ORDER,INTERPRETED_COSEWIC,INTERPRETED_COSEWIC_DATE,COSEWIC_COM,SCIENTIFIC_NAME_ID,NWI_NATIONAL_INDICATOR_RANGE,NWI_COM,REC_LAST_MOD_DATE,REC_LAST_MOD_USER,REC_CREATE_DATE,REC_CREATE_USER,DDF)
 select ELEMENT_NATIONAL_ID,EXOTIC_STATUS,EXOTIC_STATUS_DATE,HYBRID_IND,D_INVASIVENESS_RATING_ID,INVASIVENESS_RATING_DATE,INVASIVENESS_COM,PEST_IND,PEST_WEED_STATUS_COM,GENERAL_STATUS_COM,INTERPRETED_USESA,INTERPRETED_USESA_DATE,USESA_COM,D_COSEWIC_ID,COSEWIC_DATE,DISPLAY_ORDER,INTERPRETED_COSEWIC,INTERPRETED_COSEWIC_DATE,COSEWIC_COM,SCIENTIFIC_NAME_ID,NWI_NATIONAL_INDICATOR_RANGE,NWI_COM,REC_LAST_MOD_DATE,REC_LAST_MOD_USER,REC_CREATE_DATE,REC_CREATE_USER,DDF
 from biotics_del.TAXON_NATIONAL_del
 where biotics_del.TAXON_NATIONAL_del.ELEMENT_NATIONAL_id= &v_ent_id;

--3. delete records from deleted schema 
delete from BIOTICS_DEL.TAXON_NATIONAL_DEL WHERE ELEMENT_NATIONAL_id= &v_ent_id;
delete from BIOTICS_DEL.ELEMENT_NATIONAL_DEL WHERE ELEMENT_NATIONAL_id= &v_ent_id;

spool off;

set verify on
set echo on